import { componentQrl, inlinedQrl, _jsxBranch, useStylesScopedQrl, _jsxS, _jsxC, Slot, _jsxQ, _restProps, _IMMUTABLE, _fnSignal } from "@builder.io/qwik";
import { Fragment } from "@builder.io/qwik/jsx-runtime";
const styles = ".scroll-to-top {\n    background-color: white;\n    right: 40px;\n    bottom: 40px;\n    position: fixed;\n    z-index: 2;\n    cursor: pointer;\n    border-radius: 7px;\n    width: 40px;\n    height: 40px;\n    box-shadow: 0 9px 25px 0 rgba(132, 128, 177, 0.28);\n    border: none;\n}\n\n.scroll-to-top:active {\n    transform: matrix(0.95, 0, 0, 0.95, 0, 0);\n}\n";
const ScrollButton = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl(({ smooth = false, class: clazz, style = {}, useSlot, width, height, color, viewBox, svgPath, ...props }) => {
  _jsxBranch();
  useStylesScopedQrl(/* @__PURE__ */ inlinedQrl(styles, "scroll_button_component_useStylesScoped_pbatwxeKLig"));
  return /* @__PURE__ */ _jsxS("button", {
    ...props,
    children: useSlot ? /* @__PURE__ */ _jsxC(Slot, null, 3, "qU_0") : /* @__PURE__ */ _jsxQ("svg", {
      fill: color,
      height,
      viewBox,
      width
    }, null, /* @__PURE__ */ _jsxQ("path", {
      d: svgPath
    }, null, null, 3, null), 1, null),
    class: `scroll-to-top ${clazz}`,
    "data-smooth": smooth,
    style: {
      display: "none",
      ...style
    }
  }, {
    "aria-label": "Scroll to top",
    id: "qwik-scroll-to-top"
  }, 0, "qU_1");
}, "scroll_button_component_sVWgqJWSSLQ"));
const vanilla = () => {
  document.addEventListener("DOMContentLoaded", () => {
    const button = document.getElementById("qwik-scroll-to-top");
    if (!button)
      return;
    const scrollFunction = () => {
      if (document.documentElement.scrollTop > 0)
        button.style.display = "block";
      else
        button.style.display = "none";
    };
    scrollFunction();
    window.addEventListener("scroll", scrollFunction);
    button.addEventListener("click", () => {
      if (button.hasAttribute("data-smooth"))
        window.scrollTo({
          top: 0,
          behavior: "smooth"
        });
      else
        document.documentElement.scrollTop = 0;
    });
  });
};
const ScrollToTop = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl((props) => {
  const props1 = _restProps(props, [
    "top",
    "color",
    "smooth",
    "viewBox",
    "svgPath",
    "width",
    "height"
  ]);
  return /* @__PURE__ */ _jsxC(Fragment, {
    children: [
      /* @__PURE__ */ _jsxC(ScrollButton, {
        get top() {
          return props.top ?? 20;
        },
        get smooth() {
          return props.smooth ?? false;
        },
        get color() {
          return props.color ?? "black";
        },
        get viewBox() {
          return props.viewBox ?? "0 0 256 256";
        },
        svgPath: props.svgPath ?? "M222.138,91.475l-89.6-89.6c-2.5-2.5-6.551-2.5-9.051,0l-89.6,89.6c-2.5,2.5-2.5,6.551,0,9.051s6.744,2.5,9.244,0L122,21.85  V249.6c0,3.535,2.466,6.4,6,6.4s6-2.865,6-6.4V21.85l78.881,78.676c1.25,1.25,2.992,1.875,4.629,1.875s3.326-0.625,4.576-1.875  C224.586,98.025,224.638,93.975,222.138,91.475z",
        get width() {
          return props.width ?? "28";
        },
        get height() {
          return props.height ?? "28";
        },
        ...props1,
        children: /* @__PURE__ */ _jsxC(Slot, null, 3, "u0_0"),
        [_IMMUTABLE]: {
          color: _fnSignal((p0) => p0.color ?? "black", [
            props
          ], 'p0.color??"black"'),
          height: _fnSignal((p0) => p0.height ?? "28", [
            props
          ], 'p0.height??"28"'),
          smooth: _fnSignal((p0) => p0.smooth ?? false, [
            props
          ], "p0.smooth??false"),
          top: _fnSignal((p0) => p0.top ?? 20, [
            props
          ], "p0.top??20"),
          viewBox: _fnSignal((p0) => p0.viewBox ?? "0 0 256 256", [
            props
          ], 'p0.viewBox??"0 0 256 256"'),
          width: _fnSignal((p0) => p0.width ?? "28", [
            props
          ], 'p0.width??"28"')
        }
      }, 0, "u0_1"),
      /* @__PURE__ */ _jsxQ("script", null, {
        async: true,
        dangerouslySetInnerHTML: `(${vanilla})();`,
        defer: true
      }, null, 3, null)
    ]
  }, 1, "u0_2");
}, "ScrollToTop_component_0SZuObHKwDM"));
export {
  ScrollToTop
};
